package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_o2o_business.git/db/model"
	"errors"
	"xorm.io/xorm"
)


// GetStoreFansByUid 查找用戶歸屬店鋪粉絲記錄
func GetStoreFansByUid(Db *xorm.Engine, uid string, storeId string) (*model.O2oStoreFans, error) {
	var m model.O2oStoreFans
	if has, err := Db.Where("user_id = ?", uid).And("store_id = ?", storeId).Get(&m); err != nil || !has {
		return nil,err
	}
	return &m, nil
}

func UpdateStoreFans(engine *xorm.Engine, data *model.O2oStoreFans) error {
	update, err := engine.ID(data.Id).AllCols().Update(data)
	if err != nil || update == 0 {
		if err == nil {
			err = errors.New("更新数据异常！")
		}
		return err
	}
	return nil
}

//StoreFansInsertOne is 插入一条流水记录
func StoreFansInsertOne(Db *xorm.Engine, m *model.O2oStoreFans) error {
	_, err := Db.InsertOne(m)
	if err != nil {
		return err
	}
	return nil
}
