package model

import (
	"time"
)

type O2oMerchant struct {
	Id                  int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Pid                 int       `json:"pid" xorm:"comment('主账号id') INT(11)"`
	AvatarUrl           string    `json:"avatar_url" xorm:"comment('用户头像') VARCHAR(255)"`
	Type                string    `json:"type" xorm:"not null comment('商家类型，可多个') VARCHAR(255)"`
	Phone               string    `json:"phone" xorm:"not null comment('商家手机号') VARCHAR(255)"`
	Wechat              string    `json:"wechat" xorm:"comment('微信号') VARCHAR(255)"`
	Password            string    `json:"password" xorm:"not null comment('密码') VARCHAR(255)"`
	Name                string    `json:"name" xorm:"not null comment('名称') VARCHAR(255)"`
	FunctionalAuthority string    `json:"functional_authority" xorm:"not null comment('功能权限') VARCHAR(255)"`
	State               int       `json:"state" xorm:"default 1 comment('商家状态') TINYINT(1)"`
	Token               string    `json:"token" xorm:"comment('token') VARCHAR(520)"`
	Amount              float64   `json:"amount" xorm:"comment('商家余额') DOUBLE(10,2)"`
	CreateTime          time.Time `json:"create_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime          time.Time `json:"update_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	DeletedTime         time.Time `json:"deleted_time" xorm:"comment('删除时间') DATETIME"`
}
